Package org.apache.sysds.runtime.matrix.operators

# Class ReorgOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
org.apache.sysds.runtime.matrix.operators.ReorgOperator

All Implemented Interfaces:
  `Serializable`

public class ReorgOperator extends MultiThreadedOperator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final IndexFunction`
`fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`ReorgOperator(IndexFunction p)`
`ReorgOperator(IndexFunction p, int numThreads)`

## Method Summary

Modifier and Type
Method
Description
`ReorgOperator`
`setFn(IndexFunction fn)`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fn

public final IndexFunction fn

## Constructor Details

### ReorgOperator

public ReorgOperator(IndexFunction p)

### ReorgOperator

public ReorgOperator(IndexFunction p, int numThreads)

## Method Details

### setFn

public ReorgOperator setFn(IndexFunction fn)